Skip to content

List all stores in the tenant

GET
/api/v1/{tenantId}/stores

Plugin API access: this operation accepts a plugin JWT (PluginBearer) for its own tenant.

tenantId
required
string

OK

object
stores
Array<object>
nullable
object
tenantId
string
nullable
tenantUuid
string
nullable
storeId
string
nullable
name
string
nullable
color
string
nullable
defaultLabwareType
string
nullable
storedObjectCount
integer format: int32
storeAreas
Array<object>
nullable
object
storeAreaId
string
nullable
storeId
string
nullable
storageDeviceId
string
nullable
startPosition
integer format: int32
endPosition
integer format: int32
storageDeviceName
string
nullable
storedObjectCount
integer format: int32

Bad Request

object
message
string
nullable
code
string
nullable

Too Many Requests

object
message
string
nullable
code
string
nullable